//<#!@READ-ONLY-SECTION-START@!#>
/// \mainpage VulcanoApp
///
/// Source code generated by Intel CoFluent C++ Generator for SystemC/TLM2 for:
///
/// project: VulcanoApp
///
/// \section dxsGlobals Globals
///
///    - \subpage dxpGlobals "Global declarations/initializations"
///
///    - \subpage dxpRelTypes "Relation Datatypes"
///
///    - \subpage dxpDPTypes "Design Parameter Types"
///
///    - \subpage dxpUserCallbacks "User-defined callback functions"
///
/// \section dxsModules Design modules
///
///    - \subpage dxpVulcanoApp "Application VulcanoApp"
///
///    - \subpage dxpVulcanoApp "Function VulcanoApp"
///
///    - \subpage dxpProducer_1 "Function Producer_1"
///
///    - \subpage dxpConsumer "Function Consumer"
///
///
/// Intel(R) CoFluent(TM) Studio - Intel Corporation
/// Version: 8.0.1 r1 - Build id: 197-197
/// C++ Modeling Library for SystemC/TLM2 (SCL)
///

#ifndef COFS_MODEL_VULCANOAPP_GLOBAL_DEFINITIONS
#define COFS_MODEL_VULCANOAPP_GLOBAL_DEFINITIONS

#include "cfm_vulcanoapp_global_types.h"
#include "cofluent.h"

#ifndef COFS_MODEL_APPLICATION_LEVEL
#define COFS_MODEL_APPLICATION_LEVEL
#endif

/// \defgroup dxgGlobals global declarations
//@{
///		\page dxpGlobals
//@{
//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'VulcanoApp global declarations' algorithm generated code

//End of 'VulcanoApp global declarations' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>
//@}
//@}

#endif // COFS_MODEL_VULCANOAPP_GLOBAL_DEFINITIONS

//<#!@READ-ONLY-SECTION-END@!#>